Lazarus

Programming => Operating Systems => Other => Topic started by: Alextp on September 29, 2019, 07:00:08 pm

Title: [Solved] Haiku i386: how to run fpcupdeluxe?
Post by: Alextp on September 29, 2019, 07:00:08 pm
I downloaded fpcupdeluxe from its Releases page. On Run it said that it missed libQt5Pas.so.1. I got it from some google link.
http://s40in.blogspot.com/p/downloads.html
Next run. It said again - it cannot load it. I tried from Terminal, terminal says that libQt5Pas requires missing libQt5Pas*Print*.so.

I cannot find this libQt5Pas*Print* so I stopped.
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: zeljko on November 09, 2019, 04:39:10 pm
I've never seen an libQt5Pas haiku library around. You should build it on your own if it does not exist.
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: guest64953 on November 12, 2019, 09:35:38 am
I downloaded fpcupdeluxe from its Releases page. On Run it said that it missed libQt5Pas.so.1. I got it from some google link.
http://s40in.blogspot.com/p/downloads.html
Next run. It said again - it cannot load it. I tried from Terminal, terminal says that libQt5Pas requires missing libQt5Pas*Print*.so.

I cannot find this libQt5Pas*Print* so I stopped.

You could install this lib and it dependencies using HaikuDepot https://www.haiku-os.org/docs/userguide/en/applications/haikudepot.html (https://www.haiku-os.org/docs/userguide/en/applications/haikudepot.html)
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: DonAlfredo on November 13, 2019, 01:58:18 pm
In addition to the above.
Screenshot shows fpcupdeluxe running on Haiku x86_64 with QT5.
Cross-compiled from Windows.
 :D
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: Alextp on November 14, 2019, 09:37:56 pm
Thanks, so this is solved.
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: Alextp on June 30, 2020, 09:14:12 pm
Don,
I still have show stopper, Github issue 255 (2 posts, for 2 versions).
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: DonAlfredo on June 30, 2020, 09:36:45 pm
For sure.
Haiku x86 is something special. Also new to me since yesterday.
It has two modes. The better mode can be reached by doing "setarch x86" from the command line in a terminal.
To give you an example.
Open a terminal and do:
ld -v
setarch x86
ld -v
Knowing the above, I have tuned fpcupdeluxe (the pre-release) to handle this.
However, to enjoy the changes, you need to delete the fpc.cfg from the fpc binary directory, so fpcupdeluxe can generate a new one. That should be all you need.
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: DonAlfredo on June 30, 2020, 10:20:11 pm
I have uploaded a new pre-release for x86.
It also contains libQt5Pas.so.1.2.8 and co that will enable you to compile Lazarus stable and trunk.
Copy the libs into "...../system/non-packaged/lib/x86" and you are good to go !
Note: you must have QT5 installed, but that should be trivial.

https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/1.6.8y/fpcupdeluxe-i386-haiku-qt5.zip
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: Alextp on July 01, 2020, 12:42:22 am
Still have a problem
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/issues/255#issuecomment-652083241
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: DonAlfredo on July 01, 2020, 07:01:40 am
You now get the famous:
Quote
Error: (9030) Can't call the resource compiler
That is normally caused by a RAM shortage.
The same happens often (always) on Raspberry Pi 1-2 when no swap-space is available.
Can you increase RAM ?
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: TRon on July 01, 2020, 07:34:52 am
That is normally caused by a RAM shortage.
The same happens often (always) on Raspberry Pi 1-2 when no swap-space is available.
Can you increase RAM ?
The ultimate cheeky question in return is: can you make it so that I am able to compile the Haiku compiler using Haiku on my pi so that there is a need to actually increase swap-space on my pi :P

fwiw: rebuilding the latest lazarus IDE requires increased swap-space on a pi3 now as well, for a build (whether doing it manually or using fpc-deluxe) it was already necessary. For the lurker who has a hard time deciding between 4/8GB pi 4 version... choose the 16GB one  ;)

Thank you for your keeping fpc-deluxe maintained DonAlfredo. You keep the spirit of BigChimp alive  O:-)
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: DonAlfredo on July 01, 2020, 07:45:50 am
@TRon
FPC does not support Haiku on ARM or ARM64. Or am I misunderstanding your request ?

Quote
You keep the spirit of BigChimp alive.
Thanks.


Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: TRon on July 01, 2020, 07:50:47 am
DonAlfredo, you are understanding the request perfectly fine :)

FPC not supporting Haiku on arm is a matter of time...
Title: Re: Haiku i386: how to run fpcupdeluxe?
Post by: Alextp on July 01, 2020, 10:01:59 am
>That is normally caused by a RAM shortage.

Oh, thanks! now solved, and I have ready Laz on Haiku.
Title: Re: [Solved] Haiku i386: how to run fpcupdeluxe?
Post by: DonAlfredo on July 04, 2020, 04:16:32 pm
New release of fpcupdeluxe (1.6.8y). All fixes for Haiku are included.

The zipped binaries for Haiku also contain the updated libQt5Pas.so library.
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/1.6.8y/fpcupdeluxe-i386-haiku-qt5.zip
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/1.6.8y/fpcupdeluxe-x86_64-haiku-qt5.zip

This library is also available in the cross- libs.
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/crosslibs_v1.2/CrossLibsHaikui386.zip
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/crosslibs_v1.2/CrossLibsHaikux64.zip
TinyPortal © 2005-2018